c
c
c =========================================================
       subroutine qinit(maxmx,meqn,mbc,mx,xlower,dx,q,maux,aux)
c =========================================================
c
c     # Set initial conditions for q.
c
c
      implicit double precision (a-h,o-z)
      dimension q(1-mbc:maxmx+mbc, meqn)
      dimension aux(1-mbc:maxmx+mbc, *)
      common /comrp/ u
c
c
      do 150 i=1,mx
         x = xlower + (i-0.5d0)*dx
         q(i,1) = q0(x,u)
  150    continue
c
      return
      end

